Up

# NSFontManager

### Authors

Fred Kiefer (`FredKiefer@gmx.de`)

> Manages system and user fonts

Copyright: (C) 1996 Free Software Foundation, Inc.

### Contents -

1. Software documentation for the NSFontManager class
2. Software documentation for the NSObject(NSFontManagerDelegate) informal protocol

# Software documentation for the NSFontManager class

## NSFontManager : NSObject

> Declared in:
>   AppKit/NSFontManager.h

> Standards:
> - MacOS-X
> - OpenStep
> - GNUstep

Description forthcoming.

Method summary

- +setFontManagerFactory:
- +setFontPanelFactory:
- +sharedFontManager
- -action
- -addFontTrait:
- -availableFontFamilies
- -availableFontNamesWithTraits:
- -availableFonts
- -availableMembersOfFontFamily:
- -convertFont:
- -convertFont:toFace:
- -convertFont:toFamily:
- -convertFont:toHaveTrait:
- -convertFont:toNotHaveTrait:
- -convertFont:toSize:
- -convertWeight:ofFont:
- -delegate
- -fontMenu:
- -fontNamed:hasTraits:
- -fontPanel:
- -fontWithFamily:traits:weight:size:
- -isEnabled
- -isMultiple
- -localizedNameForFamily:face:
- -modifyFont:
- -modifyFontViaPanel:
- -orderFrontFontPanel:
- -removeFontTrait:
- -selectedFont
- -sendAction
- -setAction:
- -setDelegate:
- -setEnabled:
- -setFontMenu:
- -setSelectedFont:isMultiple:
- -traitsOfFont:
- -weightOfFont:

### setFontManagerFactory:

+ (void) setFontManagerFactory: (Class)class;

Description forthcoming.

### setFontPanelFactory:

+ (void) setFontPanelFactory: (Class)class;

Description forthcoming.

### sharedFontManager

+ (NSFontManager*) sharedFontManager;

Description forthcoming.

### action

- (SEL) action;

Description forthcoming.

### addFontTrait:

- (void) addFontTrait: (id)sender;

Description forthcoming.

### availableFontFamilies

- (NSArray*) availableFontFamilies;

Description forthcoming.

### availableFontNamesWithTraits:

- (NSArray*) availableFontNamesWithTraits: (NSFontTraitMask)fontTraitMask;

Description forthcoming.

### availableFonts

- (NSArray*) availableFonts;

Description forthcoming.

### availableMembersOfFontFamily:

- (NSArray*) availableMembersOfFontFamily: (NSString*)family;

Description forthcoming.

### convertFont:

- (NSFont*) convertFont: (NSFont*)fontObject;

Description forthcoming.

### convertFont:toFace:

- (NSFont*) convertFont: (NSFont*)fontObject toFace: (NSString*)typeface;

Description forthcoming.

### convertFont:toFamily:

- (NSFont*) convertFont: (NSFont*)fontObject toFamily: (NSString*)family;

Description forthcoming.

### convertFont:toHaveTrait:

- (NSFont*) convertFont: (NSFont*)fontObject toHaveTrait: (NSFontTraitMask)trait;

Description forthcoming.

### convertFont:toNotHaveTrait:

- (NSFont*) convertFont: (NSFont*)fontObject toNotHaveTrait: (NSFontTraitMask)trait;

Description forthcoming.

### convertFont:toSize:

- (NSFont*) convertFont: (NSFont*)fontObject toSize: (float)size;

Description forthcoming.

### convertWeight:ofFont:

- (NSFont*) convertWeight: (BOOL)upFlag ofFont: (NSFont*)fontObject;

Description forthcoming.

### delegate

- (id) delegate;

Description forthcoming.

### fontMenu:

- (NSMenu*) fontMenu: (BOOL)create;

Description forthcoming.

### fontNamed:hasTraits:

- (BOOL) fontNamed: (NSString*)typeface hasTraits: (NSFontTraitMask)fontTraitMask;

Description forthcoming.

### fontPanel:

- (NSFontPanel*) fontPanel: (BOOL)create;

Description forthcoming.

### fontWithFamily:traits:weight:size:

- (NSFont*) fontWithFamily: (NSString*)family traits: (NSFontTraitMask)traits weight: (int)weight size: (float)size;

Description forthcoming.

### isEnabled

- (BOOL) isEnabled;

Description forthcoming.

### isMultiple

- (BOOL) isMultiple;

Description forthcoming.

### localizedNameForFamily:face:

- (NSString*) localizedNameForFamily: (NSString*)family face: (NSString*)face;

Description forthcoming.

### modifyFont:

- (void) modifyFont: (id)sender;

Description forthcoming.

### modifyFontViaPanel:

- (void) modifyFontViaPanel: (id)sender;

Description forthcoming.

### orderFrontFontPanel:

- (void) orderFrontFontPanel: (id)sender;

Description forthcoming.

### removeFontTrait:

- (void) removeFontTrait: (id)sender;

Description forthcoming.

### selectedFont

- (NSFont*) selectedFont;

Description forthcoming.

### sendAction

- (BOOL) sendAction;

Description forthcoming.

### setAction:

- (void) setAction: (SEL)aSelector;

Description forthcoming.

### setDelegate:

- (void) setDelegate: (id)anObject;

Description forthcoming.

### setEnabled:

- (void) setEnabled: (BOOL)flag;

Description forthcoming.

### setFontMenu:

- (void) setFontMenu: (NSMenu*)newMenu;

Description forthcoming.

### setSelectedFont:isMultiple:

- (void) setSelectedFont: (NSFont*)fontObject isMultiple: (BOOL)flag;

Description forthcoming.

### traitsOfFont:

- (NSFontTraitMask) traitsOfFont: (NSFont*)aFont;

Description forthcoming.

### weightOfFont:

- (int) weightOfFont: (NSFont*)fontObject;

Description forthcoming.

# Software documentation for the NSObject(NSFontManagerDelegate) informal protocol

## NSObject(NSFontManagerDelegate)

> Declared in:
>   AppKit/NSFontManager.h

> Standards:
> - MacOS-X
> - OpenStep
> - GNUstep

Description forthcoming.

Method summary

- -fontManager:willIncludeFont:

### fontManager:willIncludeFont:

- (BOOL) fontManager: (id)sender willIncludeFont: (NSString*)fontName;

Description forthcoming.

Up